<?php
include_once("../config/error.php");
include_once("../config/login.php");
date_default_timezone_set('Europe/Berlin');

use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;
use PHPMailer\PHPMailer\PHPMailer;

//Load Composer's autoloader
require("./../vendor/autoload.php");

require("./../vendor/phpmailer/phpmailer/src/Exception.php");
require("./../vendor/phpmailer/phpmailer/src/PHPMailer.php");
require("./../vendor/phpmailer/phpmailer/src/SMTP.php");

$mail = new PHPMailer(true);

//copyright jahresanzeige
function auto_copyright($year = 'auto')
{
    if (intval($year) == 'auto') {
        $year = date('Y');
    }
    if (intval($year) == date('Y')) {
        echo intval($year);
    }
    if (intval($year) < date('Y')) {
        echo intval($year) . ' - ' . date('Y');
    }
    if (intval($year) > date('Y')) {
        echo date('Y');
    }
}
?>
<!doctype html>
<html lang="de">

<head>
    <title>Kontaktformular der Urlaubsagentur Rügen</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">
    <meta charset="utf-8">
    <meta name="description" content="App-Suchportal der Urlaubsagentur Rügen - suchen und buchen Sie Ihr Appartement auf der Insel Rügen an der Ostsee">
    <meta name="keywords" content="Appartement Rügen, Appartement Rügen suchen, Appartement an der Ostsee suchen, Appartement an der Ostsee, Unterkunft auf Rügen, Ferienappartement auf Rügen, Ferienappartement auf Rügen suchen">
    <meta name="application-name" content="Appartements für Ihren Urlaub an der Ostsee bei der Urlaubsagentur Rügen suchen und buchen">
    <!--[if lt IE 9]>
 <script src="https://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->

    <link rel="canonical" href="https://www.appartement-suchen-ruegen.de/php/kontakt.php" />
    <meta http-equiv="expires" content="0">
    <meta name="robots" content="index,follow">
    <meta name="revisit-after" content="7 days">

    <link rel="stylesheet" type="text/css" href="../css/styles.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script>
    <script src="../js/trigger.js"></script>
    <!--totop-->
    <script>
        $(document).ready(function() {
            $(window).scroll(function() {
                if ($(this).scrollTop() < 200) {
                    $('#smoothscroll').fadeOut();
                } else {
                    $('#smoothscroll').fadeIn();
                }
            });
            $('#smoothscroll').on('click', function() {
                $('html, body').animate({
                    scrollTop: 0
                }, 'fast');
                return false;
            });
        });
    </script>

</head>

<body id="top">
    <!--start container-->
    <div id="container">
        <!--start header-->
        <header>
            <!--start logo-->
            <a href="#" id="logo"><img src="../images/logo.png" width="240" height="140" alt="Appartements auf Rügen suchen" /></a>
            <!--ende logo-->
            <!--start menue-->
            <nav>
                <ul>
                    <li id="n1"><a href="../index.php">Home</a></li>
                    <li id="n2"><a href="karte.php">R&uuml;genkarte</a></li>
                    <li id="n3"><a href="app.php">Appartements</a></li>
                    <li id="n4"><a href="sonderangebote.php">Sonderangebote</a></li>
                    <li class="activ_n5"><a href="kontakt.php">Kontakt</a></li>
                    <li id="n6"><a href="impressum.php">Impressum</a></li>
                </ul>
            </nav>
            <!--ende menue-->
            <!--ende header-->
        </header>
        <!--start holder-->
        <div class="holder_content1">
            <section class="gruppe6">
                <h1 style="text-align:center">Kontaktformular der Urlaubsagentur R&uuml;gen</h1>
                <article>
                    <h2>hier können Sie uns eine Nachricht per Mail senden</h2>
                    <div id="kontaktform">
                        <?php
                        // Ihre E-Mail-Adresse
                        $mailto = "info@ruegen-web-design.de";

                        $checked_nein = "checked='checked'";
                        $checked_ja = "";

                        ////////////////////////////////////////////////////////
                        $dse_nein = "checked='checked'";
                        $dse_ja = "";
                        ///////////////////////////////////////////////////////


                        $pflichtfeld = "";
                        // Spamschutz
                        $z0 = array(mt_rand(1, 9), mt_rand(1, 9));
                        $z1 = max($z0);
                        $z2 = min($z0);
                        $spam = $z1 . " &#43; &#" . (48 + $z2) . ";";
                        $schutz = md5($z1 + $z2);

                        //online abschalten
                        //error_reporting(E_ALL);

                        $eingabefehler = ""; //leer lassen!
                        $datum = date("d.m.Y H:i");
                        $name = isset($_POST["name"]) ? $_POST["name"] : "";
                        $mailfrom = isset($_POST["mailfrom"]) ? $_POST["mailfrom"] : "";
                        $telefon_vw = isset($_POST["telefon_vw"]) ? $_POST["telefon_vw"] : "";
                        $telefon_nr = isset($_POST["telefon_nr"]) ? $_POST["telefon_nr"] : "";
                        $rueckruf = isset($_POST["rueckruf"]) ? $_POST["rueckruf"] : "";

                        if ($rueckruf == 'ja') {
                            $checked_ja = "checked='checked'";
                            $pflichtfeld = "&nbsp;&nbsp;&diams;";
                            $checked_nein = "";
                        }
                        if ($rueckruf == 'nein') {
                            $checked_nein = "checked='checked'";
                            $pflichtfeld = "";
                            $checked_ja = "";
                        }

                        ///////////////////////////////////////////////////////////
                        $dse = isset($_POST["dse"]) ? $_POST["dse"] : "";

                        if ($dse == 'ja') {
                            $dse_ja = "checked='checked'";
                            $pflichtfeld = "&nbsp;&nbsp;&diams;";
                            $dse_nein = "";
                        }
                        if ($dse == 'nein') {
                            $dse_nein = "checked='checked'";
                            $pflichtfeld = "";
                            $dse_ja = "";
                        }
                        /////////////////////////////////////////////////////////////

                        $betreff = isset($_POST["betreff"]) ? $_POST["betreff"] : "";
                        $nachricht = isset($_POST["nachricht"]) ? $_POST["nachricht"] : "";

                        // Formular
                        $formular = "<form action='" . $_SERVER["SCRIPT_NAME"] . "' method='post'>
<br /><br /><br /><br /><br />
<table id=\"formular\">
 <tr><td colspan='2' class='pflichtfeld'><!-- Fehleranzeige --></td></tr>
 <tr class='hintergrund'>
  <td><label for='Name'>&nbsp;Name: <span class='pflichtfeld'>&nbsp;&nbsp;&diams;</span></label></td>
  <td><input type='text' size='40' name='name' value='" . $name . "' id='Name'></td>
 </tr>
 <tr class='hintergrund'>
  <td><label for='Email'>&nbsp;E-Mail: <span class='pflichtfeld'>&nbsp;&nbsp;&diams;</span></label></td>
  <td><input type='text' size='30' name='mailfrom' value='" . $mailfrom . "' id='Email'></td>
 </tr>
 
 <tr class='hintergrund'>
  <td><label>&nbsp;R&uuml;ckruf erwünscht: </label></td>
  <td><input type='radio' name='rueckruf' value='nein' id='rueckruf_nein' " . $checked_nein . ">nein
  <input type='radio' name='rueckruf' value='ja' id='rueckruf_ja' " . $checked_ja . ">ja
  </td>
 </tr>
 
  <tr class='hintergrund'>
  <td><label>&nbsp;Telefon: <span class='pflichtfeld'>" . $pflichtfeld . "</span></label></td>
  <td><input type='text' size='6' name='telefon_vw' value='" . $telefon_vw . "' id='Telefon_Vorwahl'>&nbsp;-&nbsp;
  
  
  <input type='text' size='19' name='telefon_nr' value='" . $telefon_nr . "' id='Telefon_Nummer'></td>
  
 </tr>
 <tr class='hintergrund'>
  <td><label for='Betreff'>&nbsp;Betreff: <span class='pflichtfeld'>&nbsp;&diams;</span></label></td>
  <td><input type='text' size='40' name='betreff' value='" . $betreff . "' id='Betreff'></td>
 </tr>
 <tr class='hintergrund'>
  <td colspan='2'><label>&nbsp;Nachricht: <span class='pflichtfeld'>&diams;</span><br /><br />
  <textarea name='nachricht' rows='6' cols='60' id='Nachricht'>" . $nachricht . "</textarea></label></td>
 </tr>
 
 <tr class='hintergrund'>
 <td colspan='2'><label>&nbsp;Spamschutz: &nbsp;  <em>" . $spam . "
</em> =  <input type='text' name='zip' size='4' required='required' autocomplete='off'>
</label> <input type='hidden' name='zip2' value='" . $schutz . "'>
<span class='pflichtfeld'>&diams;</span>
<br />
<span class='hilfetext'>&nbsp;&nbsp;Bitte lösen Sie die Rechenaufgabe</span>
 </td>
 </tr>

  <tr class='hintergrund'>
  <td><label>Datenschutzerkl&auml;rung gelesen und akzeptiert: </label></td>
  <td><input type='radio' name='dse' value='nein' id='dse_n' " . $dse_nein . ">nein
  <input type='radio' name='dse' value='ja' id='dse_j' " . $dse_ja . ">ja
  </td>
  </tr>
  
 
  <tr>
  
  <td><a href='../datenschutzerklaerung.pdf' target='_blank'><span style='color:#000'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&raquo;&nbsp;Link zur Datenschutzerkl&auml;rung</span></a></td> 
  
  </tr>
 
 <tr class='hintergrund'>
  <th colspan='2'><img src='../images/ssl.png' alt='SSL-Verschlüsselung' />
   <br /><span class='pflichtfeld'>&diams;</span>
   <small>Bitte alle Pflichtfelder ausfüllen!</small>
   <input type='submit' class='button_kontakt' name='sendung' value='Formular absenden'>
   <br />
  </th>
 </tr>
</table>
</form>\n";

                        // Wurde das Formular abgesendet
                        if ($_SERVER["REQUEST_METHOD"] == "POST" || isset($_POST["sendung"])) {

                            // Pflichtfelder überprüfen
                            //name
                            if (strlen($name) <= 2) $eingabefehler .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &bull; Name fehlt!<br />";
                            if (is_numeric($name)) $eingabefehler .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &bull; Name fehlerhaft!<br />";
                            //mail
                            if (filter_var($mailfrom, FILTER_VALIDATE_EMAIL) === false) $eingabefehler .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &bull; Fehler in der E-Mail-Adresse!<br />";
                            //telefon
                            $telefon = $telefon_vw . " " . $telefon_nr;
                            // if ($rueckruf == 'ja') {
                            // if (!preg_match('#^((((\+|[0]{2})\d{1,4} )(\(?([1-9]{1})([\d]{1,4}\)?)))|(\([1-9]{1}[\d]{1,4}\))|([0]{1}[\d]{1,5}))( [2-9]{1}[\d-?]{2,10})$#', $telefon))
                            //     $eingabefehler .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &bull; Telefonnummer fehlerhaft<br />";
                            // }
                            //betreff
                            if (strlen($betreff) <= 4) $eingabefehler .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &bull; Der Betreff " . ((strlen($betreff) == 0) ? " fehlt" : " ist zu kurz") . " (min. 5 Zeichen)!<br />";
                            //nachricht
                            if (strlen($nachricht) <= 9) $eingabefehler .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &bull; Die Nachricht " . ((strlen($nachricht) == 0) ? " fehlt" : " ist zu kurz") . " (min. 10 Zeichen)!<br />";

                            ///////////////////////////////////////////////////////////////////// 

                            if ($_POST["dse"] == "nein") $eingabefehler .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &bull; <span style='color:red'>Datenschutzerkl&auml;rung gelesen und akzeptiert - nein!</span><br />";


                            ///////////////////////////////////////////////////////////////////// 


                            // rechenaufgabe
                            if (md5($_POST["zip"]) != $_POST["zip2"]) $eingabefehler .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style='color:red'>Die Rechenaufgabe ist leider falsch!</span><br />";

                            // Sind keine Eingabefehler vorhanden
                            if ($eingabefehler == "") {

                                // Diese Nachricht wird an Ihre E-Mail-Adresse gesendet.
                                // Text-Format - \n = neue Zeile.
                                if ($rueckruf == "ja") {
                                    $text = <<<EOT
Gesendet am: {$datum} <br><br> 
====<br><br>
Name: {$name} <br>
E-Mail: {$mailfrom} <br>
Rückruf: {$rueckruf} <br>
Telefon: {$telefon} <br>
Betreff: {$betreff} <br>
Nachricht: {$nachricht} <br><br>
DSE gelesen u. akzeptiert: {$dse} <br><br>
====
EOT;
                                } else if ($rueckruf == "nein") {
                                    $text = <<<EOT
Gesendet am: {$datum} <br><br> 
====<br><br>
Name: {$name} <br>
E-Mail: {$mailfrom} <br> 
Betreff: {$betreff} <br>  
Nachricht: {$nachricht} <br><br>
DSE gelesen u. akzeptiert: {$dse} <br><br> 
==== 
EOT;
                                }
                                $gesendet = 0;
                                $betr = "Kontakt von app-suchen-ruegen";

                                $mail_global = 'info@urlaubsinselruegen.de';

                                try {
                                    //Server settings
                                    $mail->IsSMTP();
                                    $mail->CharSet    = 'UTF-8';
                                    $mail->Encoding   = 'base64';
                                    $mail->Host       = $mailHost;
                                    $mail->SMTPAuth   = $mailSMTPAuth;
                                    $mail->Username   = $mailUsername;
                                    $mail->Password   = $mailPassword;
                                    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
                                    $mail->Port       = $mailPort;

                                    //Recipients
                                    $mail->setFrom($mail->Username, 'Urlaubsagentur Ruegen Kessler GmbH');
                                    $mail->addAddress($mailto);
                                    $mail->addReplyTo($mail->Username, 'Urlaubsagentur Ruegen Kessler GmbH');

                                    //Content
                                    $mail->IsHTML(true);
                                    $mail->Subject = $betr;
                                    $mail->Body    = $text;
                                    $mail->AltBody = $text;

                                    $mail->send();
                                    $mail->clearAddresses();

                                    echo '<p class="hintergrund danke">Vielen Dank, die Nachricht wurde versendet.<br />Sie erhalten in Kürze eine Antwort.</p>';

                                    $gesendet = 1;
                                } catch (Exception $e) {
                                    echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
                                }
                            } else {

                                // Eingabefehler und Formular ausgeben
                                echo str_replace(
                                    "<!-- Fehleranzeige -->",
                                    "<strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Die Nachricht wurde aus folgendem Grund nicht versendet:</strong><br />" .
                                        $eingabefehler,
                                    $formular
                                );
                            }
                        } else {

                            // Formular ausgeben
                            echo $formular;
                        }
                        $gesendet = $gesendet ?? "";
                        if ($eingabefehler == "" && $gesendet == 1) {;
                        ?>
                            <div style="padding: 5px 0 0 165px;">
                                <section class="gruppe_kontakt">
                                    <article>

                                        <h2 class="trigger_active"> &raquo; Datenschutzerkl&auml;rung</h2>

                                        <div class="toggle_container">
                                            <p>Nutzung und Weitergabe personenbezogener Daten:</p>
                                            <span>Die im Rahmen unseres Anfrageformulars erhobenen personenbezogenen Daten werden nur zur Vertragsabwicklung und Bearbeitung Ihrer Anfragen genutzt. Dar&uuml;ber hinaus erfolgt keine weitere Nutzung Ihrer Daten. Es findet keine Weitergabe an sonstige Dritte statt.</span>

                                            <p><a href="../datenschutzerklaerung.pdf" target="_blank">&nbsp;&raquo;&nbsp;Link zur Datenschutzerkl&auml;rung</a></p>
                                        </div>
                                    </article>

                                </section>
                            </div>
                    </div>
                <?php
                        } else {;
                ?>
                    <div style="padding: 5px 0 0 165px;">
                        <section class="gruppe_kontakt">
                            <article>

                                <h2 class="trigger"> &raquo; Datenschutzerkl&auml;rung</h2>

                                <div class="toggle_container">
                                    <p>Nutzung und Weitergabe personenbezogener Daten:</p>
                                    <span>Die im Rahmen unseres Anfrageformulars erhobenen personenbezogenen Daten werden nur zur Vertragsabwicklung und Bearbeitung Ihrer Anfragen genutzt. Dar&uuml;ber hinaus erfolgt keine weitere Nutzung Ihrer Daten. Es findet keine Weitergabe an sonstige Dritte statt.</span>

                                    <p><a href="../datenschutzerklaerung.pdf" target="_blank">&nbsp;&raquo;&nbsp;Link zur Datenschutzerkl&auml;rung</a></p>
                                </div>
                            </article>

                        </section>
                    </div>
        </div>
    <?php
                        }
    ?>
    </div>
    <!--ende holder-->

    </div>
    <!--ende container-->
    <?php
    //email protector
    function php_split_js_make_email($phpemail)
    {
        $pieces = explode("@", $phpemail);
        $lk = explode(".", $pieces[1]);
        echo '
			<script>
				var a = "<a href=\'mailto:";
				var b = "' . $pieces[0] . '";
				var c = "' . $lk[0] . '";
				var f = ".";
				var g = "' . $lk[1] . '";
				var d = "\' class=\'email\'>";
				var e = "</a>";
				document.write(a+b+"@"+c+f+g+d+b+"@"+c+f+g+e);
			</script>
			<noscript>zum versenden java script einschalten</noscript>
		';
    }
    ?>
    <!--start footer-->
    <footer>
        <div class="container">
            <section class="subnav">
                &nbsp;&raquo;&nbsp;<a href="../index.php" title="Appartement suchen Startseite">Home</a>
                &nbsp;&raquo;&nbsp;<a href="karte.php" title="finden Sie Appartements auf der R&uuml;genkarte">R&uuml;genkarte</a>
                &nbsp;&raquo;&nbsp;<a href="app.php" title="Anzeige aller Appartements der Urlaubsagentur R&uuml;gen">Appartements</a>
                &nbsp;&raquo;&nbsp;<a href="sonderangebote.php" title="Sonderangebote der Urlaubsagentur R&uuml;gen">Sonderangebote</a>
                &nbsp;&raquo;&nbsp;<a href="kontakt.php" title="Hier k&ouml;nnen Sie mit uns Kontakt aufnehmen">Kontakt</a>
                &nbsp;&raquo;&nbsp;<a href="impressum.php" title="Impressum und Disclaimer f&uuml;r das Suchportal">Impressum</a>
                &nbsp;&raquo;&nbsp;<a href="datenschutz.php" title="Datenschutzerkl&auml;rung f&uuml;r das Suchportal">Datenschutz</a>
            </section>

            <section class="footer_links1">
                <h3>Kontakt:
                    <span>Telefon: +49 (0) 3838 822 7931</span>
                    <span>Fax: +49 (0) 3838 822 7932</span>
                    <span>Mail:<?php php_split_js_make_email("suchen@appartement-suchen-ruegen.de"); ?></span>
                </h3>
            </section>
            <section class="footer_links2">
                <h3>Hotline:
                    <span>Telefon: +49 (0) 172 70 30 868</span><br />
                </h3>
            </section>
            <img src="../images/kontakt.png" width="240" height="230" alt="" class="bilder_footer" />

            <div id="footer2"><?php auto_copyright('2014'); ?>&nbsp;&nbsp;R&uuml;gen Web Design</div>
            <div id="footer3">Urlaubsagentur R&uuml;gen</div>
            <ul id="oben">
                <a href="#top" id="smoothscroll" title="nach oben"></a>
            </ul>
        </div>
    </footer>
    <!--ende footer-->
</body>

</html>